import '../../stencil.core';
export declare class LegendItem {
    el: HTMLElement;
    visible: boolean;
    layers: string | string[];
    image: string;
    toggle: boolean;
    styleId: string;
    widget: 'divider' | 'item';
    componentWillLoad(): Promise<void>;
    handleStyleId(): Promise<void>;
    handleStyleAdded(e: CustomEvent): void;
    handleStyleUpdated(e: CustomEvent): void;
    getStyle(): Promise<HTMLGlStyleElement>;
    getVisible(json: any): boolean;
    setVisible(visible: any): Promise<void>;
    update(json: any): void;
    render(): JSX.Element;
}
